Page 1 of 1

Upgrade Issue with OpenCart 3.0.3.6

Posted: Tue Dec 15, 2020 6:24 am
by BostonRedSox001
I'm upgrading from v1.5 to v3.03.6. I have uploaded all the files via Filezilla and am at the step where you visit www.yourstore.com/install. The link properly loads and installs about 10 patches successfully and says "Congratulations you have successfully upgraded your opencart installation" I then proceeded to clear the cookies, but neither www.youstore.com/admin or the main website (www.yourstore.com) will load. The admin link and the main site page both return a HTTP 500 error.

Any ideas what other steps need to be done to troubleshoot this?

Re: Upgrade Issue with OpenCart 3.0.3.6

Posted: Tue Dec 15, 2020 6:31 am
by EvolveWebHosting
BostonRedSox001 wrote:
Tue Dec 15, 2020 6:24 am
I'm upgrading from v1.5 to v3.03.6. I have uploaded all the files via Filezilla and am at the step where you visit www.yourstore.com/install. The link properly loads and installs about 10 patches successfully and says "Congratulations you have successfully upgraded your opencart installation" I then proceeded to clear the cookies, but neither www.youstore.com/admin or the main website (www.yourstore.com) will load. The admin link and the main site page both return a HTTP 500 error.

Any ideas what other steps need to be done to troubleshoot this?
1) I hope you have a backup of your 1.5 site
2) I hope you are doing this on a test install to get it worked out
3) This is a bit difficult and is multi step
4) If you haven't already, I'd suggest making a post in the commercial offers section of this forum if you're not a developer

The upgrade scripts are not complete and don't account for config file changes.

Re: Upgrade Issue with OpenCart 3.0.3.6

Posted: Tue Dec 15, 2020 9:50 am
by IP_CAM
To make it short: Such Upgrades will NOT function, and CANNOT function,
because in your old OC Installation, you most likely used some (custom)
Modifications, Themes, or whatever, and nothing of this would be PART
of an Upgrade-Routine. Just to mention ONE out of SEVERAL Points, why
it is a plain Illusion, to believe, that upgrading an OC Version will work. ;)
If you have an (working) 1.5.x Database you could get a Professional, to
do this for you, that's the only way, to get your Shop Site work again.
Sorry for the bad News ... 8)
Ernie